Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-01-2018 13:31:02

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

[abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Bonjour,
Je pense à utiliser KDE comme bureau, je m'intéresse à la suite Kontact... Mais il y a 1 composant qui foire. Je l'ai déjà raconté sur ce forum, c'est Kjots. Il y a un problème avec Kjots, qui sert à prendre des notes et à les classer.
Pour l'instant, il n'y a rien dans les Backports. J'ai fait un bref essai avec Debian Testing et Kjots fonctionne. Je réfléchissait à faire un bricolage : installer Kjots à partir d'une autre source. Il s'agit d'1 seul paquet. Je vois 3 options :
- Rajouter les dépôts Stretch et installer Kjots à partir de là.
- Rajouter les dépôts Buster et installer Kjots à partir de là.
- Télécharger Kjots en paquet deb et l'installer comme ça.

Qu'en pensez-vous ?

Je précise qu'à ce stade, l'hypothèse la plus probable et de tester une autre distro, hors du monde Debian (j'ai l'impression qu'OpenSUSE me fait les yeux doux là...). Pas de demande d'aide urgente, plus un récolte de conseils.

Dernière modification par Grompf (07-01-2018 23:26:12)


CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#2 05-01-2018 13:40:03

daufinsyd
Membre
Lieu : 68, 63, Karlsruhe
Distrib. : Manjaro + Debian Stable + Xubuntu + KDE Neon
Noyau : Linux 4.14-amd64
(G)UI : Plasma 5.11
Inscription : 02-02-2013
Site Web

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Salut,

tu peux ajouter les dépôts d'une autre version et te servir du pinning pour ne prendre en compte que Kjots (tout est expliqué ici https://debian-facile.org/doc:systeme:apt:pinning smile). Si Kjots n'a pas "beaucoup" de dépendances non présentes dans tes dépôts actuels ça devrait bien se passer.

Aspire V3-772G + SSD 850Evo
Intel i7-4790 - 12Go RAM - GTX460
Intel i7-6700 - 8Go RAM - AMD R9 280X 3Go - SSD 850Evo
Odroid C2, Raspberry Pi Zero

Hors ligne

#3 05-01-2018 14:45:36

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Salut
Pour le pinning c'est pas aussi facile qui y parait
Des fois on a pas le résultat escompté il faut bien t'assurer que les bonnes règles de priorité soit appliqué apres un

apt update

et

apt-cache policy


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 05-01-2018 19:58:53

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Qu'est-ce qui risque le moins de foirer ? Installer une version plus ancie ne ou une plus récente ?

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#5 05-01-2018 20:31:18

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.14.0-3-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Salut,

Si tu actives les dépôts testing, apt-listbugs est conseillé pour ne pas installer de paquets bogués .
le mode d'emploi : https://debian-facile.org/doc:systeme:apt:apt-listbugs

Pour être sûr de ne pas casser avec le mélange des dépôts, tu peux commenter les dépôts testing après installation de Kjots .
Tu te charges toi même de faire les mises à jour .

Dans tout les cas regarde bien ce que apt va faire ( ne pas faire passe tout ton système sous testing )
smile

Hors ligne

#6 07-01-2018 02:12:12

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Je vais essayer tout ça en VirtualBox

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#7 07-01-2018 23:25:46

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

J'ai essayé de télécharger un paquet.
En fait, si on veut installer Kjots, on n'a besoin de ne rajouter qu'un seul paquet, Kjots, pour autant qu'on ait déjà Kontact préinstallé ! En fait il y a un problème de dépendances insoluble.
Il faut que ce soit la même version que le reste de Kontact.
Bref, piste abandonnée.

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#8 07-01-2018 23:31:48

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.14.0-3-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

En gros, ça emmène toute la suite kde en dépendance ?

Dernière modification par nono47 (07-01-2018 23:32:03)

Hors ligne

#9 09-01-2018 01:32:03

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Je fais des essais sur VirtualBox. J'ai installé Debian Stretch avec KDE et j'avais installé Kontact déjà.
Donc, en principe, Kjots n'avait besoin d'aucun autre paquet. Mais sauf qu'on dirait que Kjots ne peut s'installer qu'avec la même version de Kontact.
Je crois que tu dois pouvoir installer Kjots sans l'ensemble du bureau KDE, mais il y a quand même des dépendances et celles-ci sont communes aux autres modules de Kontact.

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

#10 09-01-2018 02:36:46

mizapar
Membre
Distrib. : nutyx/debian8/ubuntu
(G)UI : openbox
Inscription : 26-10-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

mmh reconstruire le paquet en mode debian, peut-on forcer les dep je ne sait pas ...
kde est kapricieux ^^ enfin un paquet a souvent besoin de dependances et de ce que j'ai vu l'environnement est assez intriqué faut test.

Dernière modification par mizapar (09-01-2018 02:39:38)

Hors ligne

#11 09-01-2018 18:50:17

Grompf
Adhérent(e)
Distrib. : LMDE 2
Noyau : Linux 3.16.0-4-amd64
(G)UI : Cinnamon
Inscription : 08-06-2016

Re : [abandonné] Installer 1 paquet (et un seul) venand d'une autre version

Non, là je teste plus.
Il me faut qqch de fiable.
Si Kontact n'a pas été bien testé sous Debian, je préfère essayer une autre distro, car j'ai peur d'avoir d'autres mauvaises surprises.

CONFIGURATION :
    1. Lenovo Thinkpad X220 i5 - carte graphique Intel Corporation (2nd generation Core...) - Debian Stretch Cinnamon - noyau 4.9..0-3-amd64
    2. Lenovo Thinkpad T510 i7 - carte graphique : NVIDIA GT218M (NVS 3100M) - LMDE 2 Cinnamon - noyau 3.4.6

Hors ligne

Pied de page des forums